Page MenuHomeFreeBSD

ixgbe(4): Update HEAD (p3) to 3.2.12-k
ClosedPublic

Authored by cramerj_intel.com on Jun 16 2017, 1:31 AM.
Tags
None
Referenced Files
F82104569: D11232.diff
Thu, Apr 25, 2:18 PM
Unknown Object (File)
Wed, Apr 24, 7:31 AM
Unknown Object (File)
Sat, Apr 20, 10:49 PM
Unknown Object (File)
Fri, Apr 19, 9:16 PM
Unknown Object (File)
Fri, Apr 19, 11:56 AM
Unknown Object (File)
Fri, Apr 19, 6:00 AM
Unknown Object (File)
Thu, Apr 18, 9:47 AM
Unknown Object (File)
Thu, Apr 11, 7:03 PM

Details

Summary

Update to ixgbe including:

  • Support for X550EM devices.
  • Support for Bypass adapters.
  • Flow Director code moved to separate files
  • SR-IOV code moved to separate files
  • Netmap code moved to separate files

This does NOT contain iflib support. Review D10293 (with iflib support) will be abandoned and a new review will be created to add iflib support.

Test Plan

Work-in-progress. Respectfully request waiting for Jeff's team to perform a validation pass before committing.

Diff Detail

Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 10159
Build 10582: arc lint + arc unit

Event Timeline

  • Fixed compilation issue with unused variables.
  • Fixed compilation error with ixv when compiled dynamically.
  • Removed "Frame Limit" flag as it seems unnecessary.
  • Fixed a load error when trying to load ixv dynamically.
  • Fixed unresolved symbol issue with ixv.
This revision is now accepted and ready to land.Jun 29 2017, 11:50 PM

We need to hold off on committing this. We are investigating some issues that were discovered today.

This revision now requires changes to proceed.Jul 1 2017, 2:54 AM
This revision is now accepted and ready to land.Jul 7 2017, 11:15 PM

In the future when you find yourselves implementing synchronization primitives like swfw_sync or your hand rolled locks in if_bypass.c please make sure you get the attention and sign off from @markj, @jhb, or myself.

sys/dev/ixgbe/if_bypass.c
48

This lock needs to be replaced.

Also, can we stop massively refactoring the drivers until after the iflib version goes in to HEAD? And in general, there's a lot of non-productive function shuffling that goes on in Intel drivers that makes it a lot more work for downstream users maintaining their own branches.

sys/dev/ixgbe/ixgbe_fdir.h
45

Has this code ever been tested with IXGBE_FDIR enabled? This leads to duplicate symbols.